#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:		kosmindoormap
Version: 23.04.3
Release:	%mkrel %{rel}
Summary:	OSM multi-floor indoor map renderer
Group:		Graphical desktop/KDE
License:	GPLv2+
Url:		https://kde.org/
Source0:	https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:	kf5-rpm-macros

BuildRequires:	cmake(Qt5Quick)
BuildRequires:	cmake(Qt5Test)
BuildRequires:	cmake(Qt5Widgets)

BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KPublicTransport)
BuildRequires:	cmake(KOpeningHours)

BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(protobuf)

BuildRequires:	osmctools
Requires:	osmctools

%description
Library and QML component for rendering multi-level OSM indoor maps.

%files -f %{name}.lang
%{_kf5_categoriesdir}/org_kde_kosmindoormap.*categories
%{_kf5_qmldir}/org/kde/kosmindoormap/

#-------------------------------------------------------------------------

%define kosm_major 1
%define libkosm %mklibname kosm %{kosm_major}

%package -n %{libkosm}
Summary:	Library and QML component for rendering multi-level OSM indoor maps
Group:		System/Libraries

%description -n %{libkosm}
Library and QML component for rendering multi-level OSM indoor maps.

%files -n %{libkosm}
%{_kf5_libdir}/libKOSM.so.%{kosm_major}{,.*}
%{_kf5_libdir}/libKOSM.so.23{,.*}

#-------------------------------------------------------------------------

%define kosmindoormap_major 1
%define libkosmindoormap %mklibname kosmindoormap %{kosmindoormap_major}

%package -n %{libkosmindoormap}
Summary:	Library and QML component for rendering multi-level OSM indoor maps
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{libkosmindoormap}
Library and QML component for rendering multi-level OSM indoor maps.

%files -n %{libkosmindoormap}
%{_kf5_libdir}/libKOSMIndoorMap.so.%{kosmindoormap_major}{,.*}
%{_kf5_libdir}/libKOSMIndoorMap.so.23{,.*}

#-------------------------------------------------------------------------

%define develname %mklibname %{name} -d

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/KDE and Qt
Requires:	%{libkosm} = %{version}-%{release}
Requires:	%{libkosmindoormap} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{develname}
%{_includedir}/KOSM/
%{_includedir}/KOSMIndoorMap/
%{_includedir}/kosm/
%{_includedir}/kosmindoormap/
%{_includedir}/kosmindoormap_version.h
%{_kf5_libdir}/libKOSM.so
%{_kf5_libdir}/libKOSMIndoorMap.so
%{_kf5_libdir}/cmake/KOSMIndoorMap/

#-------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name}


%changelog
* Thu Aug 31 2023 neoclust <neoclust> 23.04.3-1.mga9
+ Revision: 1982519
- New version 23.04.3

* Sat May 27 2023 neoclust <neoclust> 23.04.1-1.mga9
+ Revision: 1959134
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 22.12.3-1.mga9
+ Revision: 1946539
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 22.12.2-1.mga9
+ Revision: 1941832
- New version 22.12.2

* Thu Dec 22 2022 wally <wally> 22.12.0-2.mga9
+ Revision: 1925784
- rebuild for protobuf 21.12

* Thu Dec 15 2022 neoclust <neoclust> 22.12.0-1.mga9
+ Revision: 1922953
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 22.11.90-1.mga9
+ Revision: 1911447
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 22.08.3-1.mga9
+ Revision: 1905299
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 22.08.1-1.mga9
+ Revision: 1886818
- New version 22.08.1

* Fri Aug 26 2022 neoclust <neoclust> 22.08.0-1.mga9
+ Revision: 1880804
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 22.04.3-1.mga9
+ Revision: 1873114
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 22.04.0-1.mga9
+ Revision: 1854007
- New version 22.04.0

* Mon Apr 18 2022 neoclust <neoclust> 22.03.90-1.mga9
+ Revision: 1851447
- New version 22.03.90

* Tue Apr 05 2022 umeabot <umeabot> 21.12.0-3.mga9
+ Revision: 1845346
- Mageia 9 Mass Rebuild

* Tue Dec 28 2021 wally <wally> 21.12.0-2.mga9
+ Revision: 1764984
- rebuild for protobuf 3.19.1

* Sun Dec 26 2021 neoclust <neoclust> 21.12.0-1.mga9
+ Revision: 1763898
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 21.04.1-1.mga9
+ Revision: 1724106
- New version 21.04.1

* Sun Apr 25 2021 daviddavid <daviddavid> 21.04.0-2.mga9
+ Revision: 1719385
- enable KOpeningHours support

* Sun Apr 25 2021 neoclust <neoclust> 21.04.0-1.mga9
+ Revision: 1719318
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 20.12.3-2.mga9
+ Revision: 1698594
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 20.12.2-1.mga9
+ Revision: 1694120
- New version 20.12.2

* Sat Dec 19 2020 luigiwalser <luigiwalser> 20.12.0-2.mga8
+ Revision: 1661328
- rebuild for protobuf

* Mon Dec 14 2020 daviddavid <daviddavid> 20.12.0-1.mga8
+ Revision: 1657127
- initial package kosmindoormap

